## papyrus 3.7.1

=== Makefile ===
#	@(#)Makefile	1.3	5/3/91

ARCH=		Solaris
DSTDIR=		.
MANDIR=		$(DSTDIR)/man
JPEGDIRLL=	JpegDir/JpgLless
JPEGDIRLY=	JpegDir/JpgLossy
DICOMDIR=	DicomDir
MAYODIR=	Mayo
BINDIR=		$(DSTDIR)/test
LIBDIR=		$(DSTDIR)/$(ARCH)/lib
LINTLIBDIR=     $(LIBDIR)/lint

INSTALLDIR=	/home/Dorad/dorad/bin

CPPFLAGS=	-I. -I../.. -I$(DICOMDIR) -I$(JPEGDIRLL) -I$(JPEGDIRLY) -D_NO_LONGLONG -DSolaris
CFLAGS=		-g
LINTFLAGS=	-hb

SOURCES= \
		PapyConvertFile3.c \
		PapyError3.c \
		PapyFileSystemUnix3.c \
		PapyFiles3.c \
		PapyGetGlobalVar3.c \
		PapyInit3.c \
		PapyInitGroups3.c \
		PapyInitModules3.c \
		PapyRead3.c \
		PapyDataSetRead3.c \
		PapyList3.c \
		PapyVars3.c \
		PapyWrite3.c \
		PapyDataSetWrite3.c \
		PapyEallocUnix3.c \
		PapyWild3.c \
		PapyWildexit3.c \
		PapyUtils3.c

LIBRARY=	libP.a

OBJECTS=	$(SOURCES:%.c=$(ARCH)/%.o)

$(LIBDIR)/$(LIBRARY): createdir $(OBJECTS)
		ar rv $@ $(OBJECTS)
		cd JpegDir/JpgLless;make;
		cd JpegDir/JpgLossy;make;
		cd DicomDir;make

lint:		$(SOURCES)
		$(LINT.c) $(SOURCES)


createdir:	
		test -d $(ARCH) || mkdir -p $(ARCH)
		test -d $(DSTDIR)/$(ARCH)/lib || mkdir -p $(DSTDIR)/$(ARCH)/lib

install:	$(LIBDIR)/$(LIBRARY)
		cp $(LIBDIR)/libP.a $(INSTALLDIR)
		cp $(LIBDIR)/libJpglossy.a $(INSTALLDIR)
		cp $(LIBDIR)/libJpglless.a $(INSTALLDIR)
		cp $(LIBDIR)/libDicomdir.a $(INSTALLDIR)

clean:
		-rm -Rf $(ARCH);
		cd JpegDir/JpgLless;make clean;
		cd JpegDir/JpgLossy;make clean;
		cd DicomDir;make clean
		

.KEEP_STATE:
.INIT:	$(LIBDIR) $(ARCH)
$(LIBDIR) $(ARCH) :
		test -d $@ || mkdir -p $@

$(ARCH)/%.o: %.c
		$(COMPILE.c) $< -o $@

=== JpegDir/JpgLossy/Makefile ===
#	@(#)Makefile	1.3	5/3/91

ARCH=		Solaris
DSTDIR=		..
MANDIR=		$(DSTDIR)/man
INCDIR=		$(DSTDIR)/include
BINDIR=		$(DSTDIR)/test
LIBDIR=		../$(DSTDIR)/$(ARCH)/lib
LINTLIBDIR=	$(LIBDIR)/lint

CPPFLAGS=	-I$(INCDIR) -I../.. -D_NO_LONGLONG
CFLAGS=		-g
LINTFLAGS=	-hb


SOURCES= 	jcapimin.c \
		jcapistd.c \
		jccoefct.c \
		jccolor.c \
		jcdctmgr.c \
		jchuff.c \
		jcinit.c \
		jcmainct.c \
		jcmaster.c \
		jcmarker.c \
		jcomapi.c \
		jcparam.c \
		jcphuff.c \
		jcprepct.c \
		jcsample.c \
		jdapimin.c \
		jdapistd.c \
		jdatadst.c \
		jdatasrc.c \
		jdcoefct.c \
		jdcolor.c \
		jddctmgr.c \
		jdhuff.c \
		jdinput.c \
		jdmainct.c \
		jdmarker.c \
		jdmaster.c \
		jdmerge.c \
		jdphuff.c \
		jdpostct.c \
		jdsample.c \
		jerror.c \
		jfdctint.c \
		jfdctflt.c \
		jfdctfst.c \
		jidctflt.c \
		jidctfst.c \
		jidctint.c \
		jidctred.c \
		jmemmgr.c \
		jmemnobs.c \
		jquant1.c \
		jquant2.c \
		jutils.c \
		rdcolmap.c


LIBRARY=	libJpglossy.a

OBJECTS=	$(SOURCES:%.c=$(ARCH)/%.o)

$(LIBDIR)/$(LIBRARY): createdir $(OBJECTS)
		ar rv $@ $(OBJECTS)

lint:		$(SOURCES)
		$(LINT.c) $(SOURCES)


createdir:	
		test -d $(ARCH) || mkdir -p $(ARCH)
		test -d $(DSTDIR)/$(ARCH)/lib || mkdir -p $(DSTDIR)/$(ARCH)/lib

clean:
		-rm -Rf $(ARCH)


.KEEP_STATE:
.INIT:   $(LIBDIR) $(ARCH)
$(LIBDIR) $(ARCH) :
		test -d $@ || mkdir -p $@

$(ARCH)/%.o: %.c
		$(COMPILE.c) $< -o $@

=== debian/changelog ===
papyrus (3.7.1-1) unstable; urgency=low

  * Initial release. (Closes: #728111)

 -- Mathieu Malaterre <malat@debian.org>  Mon, 28 Oct 2013 16:29:59 +0100

=== debian/control ===
Source: papyrus
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Mathieu Malaterre <malat@debian.org>
Section: libdevel
Priority: optional
Standards-Version: 3.9.4
Homepage: http://www.expasy.ch/www/UIN/UIN.html
Build-Depends: debhelper (>= 9), cmake (>= 2.8.2)
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/papyrus/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/papyrus/trunk/

Package: libpapyrus3-dev
Architecture: any
Depends: ${misc:Depends}
Description: DICOM compatible file format library
 PAPYRUS 3.0 file format based on the new DICOM 3.0 Standard addresses the open
 interchange of medical images in files or on removable storage media. This
 specific implementation of the DICOM standard is intended as a generic solution
 for interchange of multi-modality medical images on removable media. It can
 also be used for convenient exchange of image data between different computer
 systems through industry standard file transfer mechanisms. Finally it can also
 be used for storage and archival of medical image data in a DICOM compatible
 format.
 .
 This package contains the libraries needed to run PAPYRUS 3.0 applications.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=cmake

get-orig-source:
	uscan --verbose --force-download --rename

=== debian/watch ===
version=3
http://sf.net/jpeg/Papyrus([\d])([\d])([\d])\.tar\.gz

## papyrus 3.7.1%2Bdfsg

=== debian/watch ===
# Homepage and SourceForge repository have vanished
version=4

opts=dversionmangle=s/.*/0.No-Site/;s/\+dfsg//g \
  https://people.debian.org/~eriberto/ FakeWatchNoUpstreamSiteForThisPackage-(\d\S+)\.gz

## papyrus 3.7.1+dfsg

=== JpegDir/JpgLless/Makefile ===
#	@(#)Makefile	1.3	5/3/91

ARCH=		Solaris
DSTDIR=		..
MANDIR=		$(DSTDIR)/man
INCDIR=		$(DSTDIR)/include
BINDIR=		$(DSTDIR)/test
LIBDIR=		../$(DSTDIR)/$(ARCH)/lib
LINTLIBDIR=	$(LIBDIR)/lint

CPPFLAGS=	-I$(INCDIR) -I../.. -D_NO_LONGLONG
CFLAGS=		-g
LINTFLAGS=	-hb

SOURCES= 	decompoptimise.c \
		huffcoptimisebug.c \
		huffdoptimise.c \
		jpegutil.c \
		mcu.c \
		pmreadoptimise.c \
		pnmtoljpoptimisebug.c \
		predict.c \
		read.c \
		write.c

LIBRARY=	libJpglless.a

OBJECTS=	$(SOURCES:%.c=$(ARCH)/%.o)

$(LIBDIR)/$(LIBRARY): createdir $(OBJECTS)
		ar rv $@ $(OBJECTS)

lint:		$(SOURCES)
		$(LINT.c) $(SOURCES)


createdir:	
		test -d $(ARCH) || mkdir -p $(ARCH)
		test -d $(DSTDIR)/$(ARCH)/lib || mkdir -p $(DSTDIR)/$(ARCH)/lib

clean:
		-rm -Rf $(ARCH)

.KEEP_STATE:
.INIT:	$(LIBDIR) $(ARCH)
$(LIBDIR) $(ARCH) :
		test -d $@ || mkdir -p $@

$(ARCH)/%.o: %.c
		$(COMPILE.c) $< -o $@

=== debian/changelog ===
papyrus (3.7.1+dfsg-5) unstable; urgency=medium

  * Team upload.
  * d/patches: Update minimal cmake version to 3.7
  * d/rules: Expose a bit more warnings from the compilation
  * d/patches: Remove register keyword from API
  * d/control: Bump Std-Vers to 4.6.1 no changes needed

 -- Mathieu Malaterre <malat@debian.org>  Fri, 02 Sep 2022 15:42:26 +0200

papyrus (3.7.1+dfsg-4) unstable; urgency=medium

  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 24 Nov 2020 10:10:44 +0100

papyrus (3.7.1+dfsg-3) unstable; urgency=medium

  * Add citation
  * Homepage vanished - link to web archive
  * Use fake watch file since SOurceForge repository vanished as well
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Delete unneeded get-orig-source target

 -- Andreas Tille <tille@debian.org>  Thu, 20 Sep 2018 09:16:46 +0200

papyrus (3.7.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Re-enable pie, now that is the default, and gdcm builds
    fine with it (Really closes: #837490)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 18 Jun 2017 22:24:57 +0200

papyrus (3.7.1+dfsg-1) unstable; urgency=medium

  * Move packaging to Git since several files need to be excluded from
    upstream tarball
  * Add myself to Uploaders since Mathieu left the team
  * cme fix dpkg-control
  * cme fix dpkg-copyright
  * Build-Depends: cmake
  * hardening=-pie
    Closes: #837490

 -- Andreas Tille <tille@debian.org>  Mon, 24 Oct 2016 12:29:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: papyrus
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Mathieu Malaterre <malat@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>
 Section: libdevel
 Priority: optional
-Standards-Version: 3.9.4
-Homepage: http://www.expasy.ch/www/UIN/UIN.html
-Build-Depends: debhelper (>= 9), cmake (>= 2.8.2)
-Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/papyrus/trunk/
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/papyrus/trunk/
+Build-Depends: debhelper-compat (= 13),
+               cmake (>= 3.7)
+Standards-Version: 4.6.1
+Vcs-Browser: https://salsa.debian.org/med-team/papyrus
+Vcs-Git: https://salsa.debian.org/med-team/papyrus.git
+Homepage: https://web.archive.org/web/20021003015549/http://www.expasy.ch/UIN/html1/projects/papyrus/papyrus.html
+Rules-Requires-Root: no
 
 Package: libpapyrus3-dev
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall

%:
	dh $@ --buildsystem=cmake
